Skip to content
This repository
Browse code

Version 0.4.1

  • Loading branch information...
commit f6e21d4d6115d3d11a2d30635367f848b656c286 1 parent b06aeb4
authored January 03, 2008
3  Changelog
... ...
@@ -1,3 +1,6 @@
  1
+Version 0.4.1
  2
+- Compatibility for Ruby 1.9
  3
+
1 4
 Version 0.4.0
2 5
 - MiniExiftool::Error inherits now from StandardError
3 6
 - Alternative installation via setup.rb
6  Rakefile
@@ -42,7 +42,9 @@ EXT_DIST_FILES = EXT_SOURCES + EXTCONF_FILES
42 42
 #---
43 43
 REQUIRE_PATHS = ["lib"]
44 44
 REQUIRE_PATHS << EXT_DIR if HAVE_EXT
45  
-$LOAD_PATH.concat(REQUIRE_PATHS)
  45
+REQUIRE_PATHS.reverse_each do |p|
  46
+  $LOAD_PATH.unshift p
  47
+end
46 48
 # This library file defines the MyProject::VERSION constant.
47 49
 require "#{UNIX_NAME}"
48 50
 PROJECT_VERSION = eval("#{PROJECT}::VERSION") # e.g. "1.0.2"
@@ -203,7 +205,7 @@ end
203 205
 # files for a new release.
204 206
 desc "Run tests, generate RDoc and create packages."
205 207
 task "prepare-release" => ["clobber"] do
206  
-  puts "Preparing release of #{PROJECT} version #{VERSION}"
  208
+  puts "Preparing release of #{PROJECT} version #{PROJECT_VERSION}"
207 209
   Rake::Task["test"].invoke
208 210
   Rake::Task["rdoc"].invoke
209 211
   Rake::Task["package"].invoke
2  lib/mini_exiftool.rb
@@ -27,7 +27,7 @@ class MiniExiftool
27 27
   attr_reader :filename
28 28
   attr_accessor :numerical, :composite, :errors
29 29
 
30  
-  VERSION = '0.4.0'
  30
+  VERSION = '0.4.1'
31 31
 
32 32
   # opts support at the moment
33 33
   # * <code>:numerical</code> for numerical values, default is +false+

0 notes on commit f6e21d4

Please sign in to comment.
Something went wrong with that request. Please try again.